Bug 200722 - Review Request: GraphicsMagick
Review Request: GraphicsMagick
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-31 07:19 EDT by Andreas Thienemann
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-27 08:38:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2006-07-31 07:19:53 EDT
Spec URL: http://home.bawue.de/~ixs/GraphicsMagick/GraphicsMagick.spec
SRPM URL: http://home.bawue.de/~ixs/GraphicsMagick/GraphicsMagick-1.1.7-1.src.rpm
Description:
GraphicsMagick is a comprehensive image processing package which is initially
based on ImageMagick 5.5.2, but which has undergone significant re-work by
the GraphicsMagick Group to significantly improve the quality and performance
of the software.
Comment 1 Rex Dieter 2006-07-31 07:45:32 EDT
Offhand, 

1. it appears
%{_includedir}/GraphicsMagick
dir is unowned.

2.  in c++-devel subpkg:
Requires: %{name}-c++ = %{version}
Requires: %{name}-devel = %{version}
should be:
Requires: %{name}-c++ = %{version}-%{release}
Requires: %{name}-devel = %{version}-%{release}
Comment 2 Andreas Thienemann 2006-07-31 10:07:42 EDT
thx, changes are incorporated at the original location
Comment 3 Rex Dieter 2006-07-31 10:11:21 EDT
FYI, whenever you make a change to the package, you ought to increment the 
Release tag and add a changelog entry accordingly.
Comment 4 Andreas Thienemann 2006-07-31 10:16:02 EDT
Ahhhhrgl. I thought we went over that topic often enough? Wasn't the consensus
that bumping release numbers and changelogs during review is purely optional? It
really doesn't serve as far as I can see, as the bugzilla entry contains more
information then the changelog ever will.
Comment 5 Rex Dieter 2006-07-31 10:21:22 EDT
I don't know who you're referring to as "we", but IMO, the same rules that 
apply toward Fedora (Core/Extras) releases should be applied during reviews too.
Comment 6 Kevin Fenzi 2006-10-01 15:51:57 EDT
just IMHO, bumping release and adding changelogs is very usefull during reviews 
to me. It allows me to see that something was addressed and when. 

Some submitters have used -0.X during reviews and then bump release to -1 on 
import. I think thats fine if you are more comfortable with that... 

Any chance you could push our a new release with new release/changelog entries?
Comment 7 Parag AN(पराग) 2006-11-19 23:48:56 EST
Andreas,
Is there any updates to package here?
Otherwise i can go for Official Review.
Comment 8 Parag AN(पराग) 2006-11-20 00:43:48 EST
Oki had a look at packaging of this software and found that GraphicsMagick-devel
reporting files listed as twice. keep only
%{_includedir}/GraphicsMagick and remove other 2 lines starting with %{_includedir}.
Reupdate package by changing release tag.
Comment 9 Parag AN(पराग) 2006-11-23 23:24:59 EST
Ping
Comment 10 Andreas Thienemann 2006-11-26 13:03:31 EST
Package has been updated at the usual location.
Please take a look.
Comment 11 Parag AN(पराग) 2006-11-27 02:03:37 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPMS.
+ source files match upstream.
f75d830ca623bf10385b3ad62c48437a  GraphicsMagick-1.1.7.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ COPYING included in %doc.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ .pc file present.
+ -devel,-c++, -c++-devel, -perl subpackages exists
+ as subpackages are packaging .so files post and postun called /sbin/ldconfig
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ perl subpackage followed perl packagaing.
APPROVED.
Comment 12 Andreas Thienemann 2006-11-27 08:38:11 EST
thx for the review, package is in cvs.
Comment 13 Michael Schwendt 2006-11-28 20:12:53 EST
owners.list entry is missing!

Note You need to log in before you can comment on or make changes to this bug.